package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.List;

public class SetupView {

	private int userId;
	private String userLoginId;
	private String userFullName;
	private String reportingLink;
	private boolean admin;
	private boolean requestor;
	private boolean superUser = false;
	private boolean ndsAdmin;
	private boolean janitor = false;	//Administration Tool tab
	private boolean staff = false;		//read-only staff
	private List<String> roles = new ArrayList<String>();
	private List<String> groups = new ArrayList<String>();
	private boolean debug = false;
	

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public String getUserLoginId() {
		return userLoginId;
	}

	public void setUserLoginId(String userLoginId) {
		this.userLoginId = userLoginId;
	}

	public String getUserFullName() {
		return userFullName;
	}

	public void setUserFullName(String userFullName) {
		this.userFullName = userFullName;
	}

	public String getReportingLink() {
        return reportingLink;
    }

    public void setReportingLink(String reportingLink) {
        this.reportingLink = reportingLink;
    }

    public boolean isAdmin() {
		return admin;
	}

	public void setAdmin(boolean admin) {
		this.admin = admin;
	}

	public boolean isJanitor() {
		return janitor;
	}

	public void setJanitor(boolean janitor) {
		this.janitor = janitor;
	}	
	
	public boolean isStaff() {
		return staff;
	}

	public void setStaff(boolean staff) {
		this.staff = staff;
	}
	
	public List<String> getRoles() {
		return roles;
	}
	
	public List<String> getGroups() {
		return groups;
	}

	public boolean isRequestor() {
		return requestor;
	}

	public void setRequestor(boolean requestor) {
		this.requestor = requestor;
	}

	public boolean isNdsAdmin() {
		return ndsAdmin;
	}

	public void setNdsAdmin(boolean ndsAdmin) {
		this.ndsAdmin = ndsAdmin;
	}

	public boolean isSuperUser() {
		return superUser;
	}

	public void setSuperUser(boolean superUser) {
		this.superUser = superUser;
	}	
	
	public boolean isDebug() {
		return debug;
	}

	public void setDebug(boolean debug) {
		this.debug = debug;
	}
	
}
